MCP Gateway
ApiOauth apps

Find OAuth app by authorization server

Look up an existing OAuth app by its authorization server URL. Used during OAuth discovery to check if an app already exists for a given provider.

GET
/api/v1/oauth-apps/by-auth-server

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Query Parameters

authorization_server_url*string

Authorization server URL to search for

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/oauth-apps/by-auth-server?authorization_server_url=string"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",
  "alias": "string",
  "name": "string",
  "client_id": "string",
  "client_secret_masked": "string",
  "auth_url": "string",
  "token_url": "string",
  "scopes": [
    "string"
  ],
  "optional_scopes": [
    "string"
  ],
  "tenant_id": "string",
  "instance_url": "string",
  "gitlab_base_url": "string",
  "hubspot_app_id": "string",
  "authorization_server_url": "string",
  "is_global": true,
  "is_enabled": true,
  "additional_config": {},
  "template_type": "github",
  "template_name": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}